<!--

var GuWebsiteSearchOptionCookies="GueeonArticleSearchOptionCookies";

function Search_Check(GuElementOption) {
	if ((GuElementOption=="Logo")&&(GuReturnElement('Search_Keyword_Logo')!=null)&&(document.forms['Search_Logo'].Keyword.value=="")) {
		document.forms['Search_Logo'].Keyword.focus();
		document.forms['Search_Logo'].Keyword.style.backgroundColor="#FFECEC";
		return (false);
		}
	if ((GuElementOption=="Left")&&(GuReturnElement('Search_Keyword_Left')!=null)&&(document.forms['Search_Left'].Keyword.value=="")) {
		document.forms['Search_Left'].Keyword.focus();
		document.forms['Search_Left'].Keyword.style.backgroundColor="#FFECEC";
		return (false);
		}
	if ((GuElementOption=="Logo")&&(GuReturnElement('Search_Option_Name_Logo')!=null)) {
		var GuSearchOptionCheckedLogo="";
		for (var i=0;i<document.forms['Search_Logo'].Option.length;i++ ) {
			if (document.forms['Search_Logo'].Option[i].checked==true) {
				GuSearchOptionCheckedLogo=GuSearchOptionCheckedLogo+document.forms['Search_Logo'].Option[i].value+",";
				}
			}
			GuSearchOptionCheckedLogo=GuSearchOptionCheckedLogo.toUpperCase();
		if ((GuSearchOptionCheckedLogo.indexOf("ID")==-1)&&(GuSearchOptionCheckedLogo.indexOf("NAME")==-1)&&(GuSearchOptionCheckedLogo.indexOf("AUTHOR")==-1)&&(GuSearchOptionCheckedLogo.indexOf("HREF")==-1)&&(GuSearchOptionCheckedLogo.indexOf("FROM")==-1)&&(GuSearchOptionCheckedLogo.indexOf("KEYWORD")==-1)&&(GuSearchOptionCheckedLogo.indexOf("CONTENT")==-1)) {
			GuReturnElement('Search_Option_Name_Logo').checked=true;
			}
		}
	if ((GuElementOption=="Left")&&(GuReturnElement('Search_Option_Name_Left')!=null)) {
		var GuSearchOptionCheckedLeft="";
		for (var i=0;i<document.forms['Search_Left'].Option.length;i++ ) {
			if (document.forms['Search_Left'].Option[i].checked==true) {
				GuSearchOptionCheckedLeft=GuSearchOptionCheckedLeft+document.forms['Search_Left'].Option[i].value+",";
				}
			}
			GuSearchOptionCheckedLeft=GuSearchOptionCheckedLeft.toUpperCase();
		if ((GuSearchOptionCheckedLeft.indexOf("ID")==-1)&&(GuSearchOptionCheckedLeft.indexOf("NAME")==-1)&&(GuSearchOptionCheckedLeft.indexOf("AUTHOR")==-1)&&(GuSearchOptionCheckedLeft.indexOf("HREF")==-1)&&(GuSearchOptionCheckedLeft.indexOf("FROM")==-1)&&(GuSearchOptionCheckedLeft.indexOf("KEYWORD")==-1)&&(GuSearchOptionCheckedLeft.indexOf("CONTENT")==-1)) {
			GuReturnElement('Search_Option_Name_Left').checked=true;
			}
		}
	return (true);
	}

function GuWebsiteSearchKeywordInitialization() {
	var GuWebsiteSearchKeywordInitialization="";
	if (GuWebsiteSearchKeywordPresent!="") {
		GuWebsiteSearchKeywordInitialization=GuWebsiteSearchKeywordPresent;
		}
	else {
		GuWebsiteSearchKeywordInitialization=GuWebsiteSearchKeywordDefault;
		}
	if (GuReturnElement('Search_Keyword_Logo')!=null) {
		document.forms['Search_Logo'].Keyword.value=GuWebsiteSearchKeywordInitialization;
		}
	if (GuReturnElement('Search_Keyword_Left')!=null) {
		document.forms['Search_Left'].Keyword.value=GuWebsiteSearchKeywordInitialization;
		}
	}

function GuWebsiteSearchOptionChange(GuElementOption) {
	if (GuElementOption=="Logo") {
		if (document.forms['Search_Logo'].Search_Option_Status_Logo.value=="ShowLogo") {
			if (GuReturnElement('Search_Option_Layer_Logo')!=null) {
				GuReturnElement('Search_Option_Layer_Logo').style.display="none";
				document.forms['Search_Logo'].Search_Option_Status_Logo.value="HiddenLogo";
				var GuSearchOptionStatusLogo=GuCookiesRead(GuWebsiteSearchOptionCookies);
				GuSearchOptionStatusLogo=GuSearchOptionStatusLogo.replace(/ShowLogo/g,"HiddenLogo")
				GuCookiesCreate(GuWebsiteSearchOptionCookies,GuSearchOptionStatusLogo,30,'/');
				}
			}
		else {
			if (GuReturnElement('Search_Option_Layer_Logo')!=null) {
				GuReturnElement('Search_Option_Layer_Logo').style.display="";
				document.forms['Search_Logo'].Search_Option_Status_Logo.value="ShowLogo";
				var GuSearchOptionStatusLogo=GuCookiesRead(GuWebsiteSearchOptionCookies);
				GuSearchOptionStatusLogo=GuSearchOptionStatusLogo.replace(/HiddenLogo/g,"ShowLogo")
				GuCookiesCreate(GuWebsiteSearchOptionCookies,GuSearchOptionStatusLogo,30,'/');
				}
			}
		}
	if (GuElementOption=="Left") {
		if (document.forms['Search_Left'].Search_Option_Status_Left.value=="ShowLeft") {
			if (GuReturnElement('Search_Option_Layer_Left')!=null) {
				GuReturnElement('Search_Option_Layer_Left').style.display="none";
				document.forms['Search_Left'].Search_Option_Status_Left.value="HiddenLeft";
				var GuSearchOptionStatusLeft=GuCookiesRead(GuWebsiteSearchOptionCookies);
				GuSearchOptionStatusLeft=GuSearchOptionStatusLeft.replace(/ShowLeft/g,"HiddenLeft")
				GuCookiesCreate(GuWebsiteSearchOptionCookies,GuSearchOptionStatusLeft,30,'/');
				}
			}
		else {
			if (GuReturnElement('Search_Option_Layer_Left')!=null) {
				GuReturnElement('Search_Option_Layer_Left').style.display="";
				document.forms['Search_Left'].Search_Option_Status_Left.value="ShowLeft";
				var GuSearchOptionStatusLeft=GuCookiesRead(GuWebsiteSearchOptionCookies);
				GuSearchOptionStatusLeft=GuSearchOptionStatusLeft.replace(/HiddenLeft/g,"ShowLeft")
				GuCookiesCreate(GuWebsiteSearchOptionCookies,GuSearchOptionStatusLeft,30,'/');
				}
			}
		}
	}

function GuWebsiteSearchOptionInitialization() {
	var GuWebsiteSearchOptionString="";
	if (GuCookiesRead(GuWebsiteSearchOptionCookies)==null) {
		GuCookiesCreate(GuWebsiteSearchOptionCookies,GuWebsiteSearchOptionDefault,30,'/');
		GuWebsiteSearchOptionString=GuWebsiteSearchOptionDefault.toUpperCase();
		}
	else {
		GuWebsiteSearchOptionString=GuCookiesRead(GuWebsiteSearchOptionCookies).toUpperCase();
		}
	if (GuWebsiteSearchOptionString.indexOf("SHOWLOGO")>=0) {
		if (GuReturnElement('Search_Option_Layer_Logo')!=null) {
			GuReturnElement('Search_Option_Layer_Logo').style.display="";
			document.forms['Search_Logo'].Search_Option_Status_Logo.value="ShowLogo";
			}
		}
	else {
		if (GuReturnElement('Search_Option_Layer_Logo')!=null) {
			GuReturnElement('Search_Option_Layer_Logo').style.display="none";
			document.forms['Search_Logo'].Search_Option_Status_Logo.value="HiddenLogo";
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("SHOWLEFT")>=0) {
		if (GuReturnElement('Search_Option_Layer_Left')!=null) {
			GuReturnElement('Search_Option_Layer_Left').style.display="";
			document.forms['Search_Left'].Search_Option_Status_Left.value="ShowLeft";
			}
		}
	else {
		if (GuReturnElement('Search_Option_Layer_Left')!=null) {
			GuReturnElement('Search_Option_Layer_Left').style.display="none";
			document.forms['Search_Left'].Search_Option_Status_Left.value="HiddenLeft";
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("STRICT")>=0) {
		if (GuReturnElement('Search_Option_Strict_Logo')!=null) {
			GuReturnElement('Search_Option_Strict_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Strict_Left')!=null) {
			GuReturnElement('Search_Option_Strict_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Strict_Logo')!=null) {
			GuReturnElement('Search_Option_Strict_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Strict_Left')!=null) {
			GuReturnElement('Search_Option_Strict_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("SPLIT")>=0) {
		if (GuReturnElement('Search_Option_Split_Logo')!=null) {
			GuReturnElement('Search_Option_Split_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Split_Left')!=null) {
			GuReturnElement('Search_Option_Split_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Split_Logo')!=null) {
			GuReturnElement('Search_Option_Split_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Split_Left')!=null) {
			GuReturnElement('Search_Option_Split_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("ID")>=0) {
		if (GuReturnElement('Search_Option_ID_Logo')!=null) {
			GuReturnElement('Search_Option_ID_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_ID_Left')!=null) {
			GuReturnElement('Search_Option_ID_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_ID_Logo')!=null) {
			GuReturnElement('Search_Option_ID_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_ID_Left')!=null) {
			GuReturnElement('Search_Option_ID_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("NAME")>=0) {
		if (GuReturnElement('Search_Option_Name_Logo')!=null) {
			GuReturnElement('Search_Option_Name_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Name_Left')!=null) {
			GuReturnElement('Search_Option_Name_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Name_Logo')!=null) {
			GuReturnElement('Search_Option_Name_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Name_Left')!=null) {
			GuReturnElement('Search_Option_Name_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("AUTHOR")>=0) {
		if (GuReturnElement('Search_Option_Author_Logo')!=null) {
			GuReturnElement('Search_Option_Author_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Author_Left')!=null) {
			GuReturnElement('Search_Option_Author_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Author_Logo')!=null) {
			GuReturnElement('Search_Option_Author_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Author_Left')!=null) {
			GuReturnElement('Search_Option_Author_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("HREF")>=0) {
		if (GuReturnElement('Search_Option_Href_Logo')!=null) {
			GuReturnElement('Search_Option_Href_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Href_Left')!=null) {
			GuReturnElement('Search_Option_Href_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Href_Logo')!=null) {
			GuReturnElement('Search_Option_Href_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Href_Left')!=null) {
			GuReturnElement('Search_Option_Href_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("FROM")>=0) {
		if (GuReturnElement('Search_Option_From_Logo')!=null) {
			GuReturnElement('Search_Option_From_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_From_Left')!=null) {
			GuReturnElement('Search_Option_From_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_From_Logo')!=null) {
			GuReturnElement('Search_Option_From_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_From_Left')!=null) {
			GuReturnElement('Search_Option_From_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("KEYWORD")>=0) {
		if (GuReturnElement('Search_Option_Keyword_Logo')!=null) {
			GuReturnElement('Search_Option_Keyword_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Keyword_Left')!=null) {
			GuReturnElement('Search_Option_Keyword_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Keyword_Logo')!=null) {
			GuReturnElement('Search_Option_Keyword_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Keyword_Left')!=null) {
			GuReturnElement('Search_Option_Keyword_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("TAG")>=0) {
		if (GuReturnElement('Search_Option_Tag_Logo')!=null) {
			GuReturnElement('Search_Option_Tag_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Tag_Left')!=null) {
			GuReturnElement('Search_Option_Tag_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Tag_Logo')!=null) {
			GuReturnElement('Search_Option_Tag_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Tag_Left')!=null) {
			GuReturnElement('Search_Option_Tag_Left').checked=false;
			}
		}
	if (GuWebsiteSearchOptionString.indexOf("CONTENT")>=0) {
		if (GuReturnElement('Search_Option_Content_Logo')!=null) {
			GuReturnElement('Search_Option_Content_Logo').checked=true;
			}
		if (GuReturnElement('Search_Option_Content_Left')!=null) {
			GuReturnElement('Search_Option_Content_Left').checked=true;
			}
		}
	else {
		if (GuReturnElement('Search_Option_Content_Logo')!=null) {
			GuReturnElement('Search_Option_Content_Logo').checked=false;
			}
		if (GuReturnElement('Search_Option_Content_Left')!=null) {
			GuReturnElement('Search_Option_Content_Left').checked=false;
			}
		}
	}

GuWebsiteSearchKeywordInitialization();
GuWebsiteSearchOptionInitialization();

//-->

